Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233892

Summary: openais-devel: unowned directory
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: openaisAssignee: Steven Dake <sdake>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: triage
Target Milestone: ---Keywords: EasyFix, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-08 11:53:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Schwendt 2007-03-25 17:02:11 UTC
--- openais.spec.orig   2006-10-14 02:49:26.000000000 +0200
+++ openais.spec        2007-03-25 19:01:45.000000000 +0200
@@ -103,6 +103,7 @@
 
 %files 
 %defattr(-,root,root,-)
+%dir %{_docdir}/%{name}-%{version}
 %doc %{_docdir}/%{name}-%{version}/LICENSE
 %doc %{_docdir}/%{name}-%{version}/SECURITY
 %doc %{_docdir}/%{name}-%{version}/README.amf

Comment 1 Steven Dake 2007-06-26 18:51:02 UTC
Fix in openais 0.80.3 which is in the 5.1 RC tree.

Comment 2 Michael Schwendt 2007-12-08 10:54:36 UTC
It's not fixed in CVS Fedora 8 and Fedora Development, however,
where F-7 contains a package that's newer than F-8 and "devel".

And that newer F-7 package has been built, but not released anywhere:
http://koji.fedoraproject.org/koji/buildinfo?buildID=20037


Comment 3 Bug Zapper 2008-04-03 23:48:17 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-05-07 01:20:55 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 5 Michael Schwendt 2008-05-07 09:02:54 UTC
$ cvs diff -u 
cvs diff: Diffing .
Index: openais.spec
===================================================================
RCS file: /cvs/pkgs/rpms/openais/devel/openais.spec,v
retrieving revision 1.22
diff -u -r1.22 openais.spec
--- openais.spec        29 Feb 2008 19:50:42 -0000      1.22
+++ openais.spec        7 May 2008 09:02:39 -0000
@@ -106,6 +106,7 @@
 
 %files 
 %defattr(-,root,root,-)
+%dir %{_docdir}/%{name}-%{version}
 %doc %{_docdir}/%{name}-%{version}/LICENSE
 %doc %{_docdir}/%{name}-%{version}/SECURITY
 %doc %{_docdir}/%{name}-%{version}/README.amf
@@ -149,7 +150,6 @@
 
 %files devel
 %defattr(-,root,root,-)
-%dir %{_docdir}/%{name}-%{version}
 %doc %{_docdir}/%{name}-%{version}/CHANGELOG
 %doc %{_docdir}/%{name}-%{version}/README.devmap
 %dir %{_includedir}/openais/


Comment 6 Bug Zapper 2008-05-14 02:41:52 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Michael Schwendt 2008-11-08 11:53:20 UTC
I see the fix in 0.91-2 -> closing this.
Including the dir in the -devel pkg is redundant, though.